Groovy 1.7.0

## org.codehaus.groovy.classgen
Class Key

    java.lang.Object
      org.codehaus.groovy.classgen.Key

    class Key

Field Summary
`int` | `hash`
`String` | `name`
`Parameter[]` | `params`

Constructor Summary
`Key(String name, Parameter[] params)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### hash

    int hash

### name

    String name

### params

    Parameter[] params

Constructor Detail

### Key

    public Key(String name, Parameter[] params)

Method Detail

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

Copyright © 2003-2009 The Codehaus. All rights reserved.